# Dataplug Documentation

## Table of Contents

- [Dataplug API](api.md)
- [Scale pre-processing jobs with Joblib](preprocessing.md)
- [Developing a new plugin](develop-plugins.md)

## Supported Formats

### General purpose
- [CSV](formats/generic/csv.md)
- [Raw text](formats/generic/rawtext.md)

### Genomics
- [FASTA](formats/genomics/fasta.md)
- [FASTQ](formats/genomics/fastqgz.md)
- [VCF](formats/genomics/vcf.md)

### Geospatial
- [LiDAR](formats/geospatial/lidar.md)
- [Cloud-Optimized Point Cloud](formats/geospatial/copc.md)

### Metabolomics
- [ImzML](formats/metabolomics/imzml.md)